Subject: [icnrg] Contrace, CCN traceroute facility

From: Hitoshi Asaeda <[email-masked]>
Date: Tue, 1 Nov 2016 14:53:03 +0900

Hi all,

I’ve submitted a draft describing the CCN traceroute facility, named Contrace.
https://www.ietf.org/internet-drafts/draft-asaeda-icnrg-contrace-00.txt

In fact, we have previously published an article;
   "Contrace: A Tool for Measuring and Tracing Content-Centric Networks", IEEE Communications Magazine, Vol.53, No.3, pp.182-188, March 2015.
If you are interested in the behavior of Contrace or the scientific contribution Contrace provides, please take a look at this paper.

BTW, the idea of Contrace proposed in the I-D is similar to the original one in the above paper, and the fundamental design of Contrace itself was actually inspired by the well-known multicast traceroute facility, named Mtrace.
(The spec of Mtrace version 2 is specified in; https://tools.ietf.org/html/draft-ietf-mboned-mtrace-v2-16)
However, the new Contrace defined in the I-D supports CCNx-1.0 TLV format. It is different from the previous Contrace proposed in the ComMag paper (as the previous one was designed and implemented for CCNx-0.8).
The new Contrace implementation is almost done, too.

I’d like to present the basic idea of Contrace in the upcoming ICNRG meeting.

Best regards,
--
Hitoshi Asaeda